Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.leafset
Class RequestLeafSet

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage
              rice.pastry.leafset.RequestLeafSet

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage, RawSerializable

    public class RequestLeafSet

extends PRawMessage
implements java.io.Serializable

Request a leaf set from another node.

Version:
  $Id: RequestLeafSet.java 3855 2007-09-14 15:46:49Z jeffh $
Author:
  Andrew Ladd
See Also:
  Serialized Form

Field Summary
`static short` | `TYPE`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`RequestLeafSet(java.util.Date stamp, NodeHandle nh, long timeStamp)` Constructor.
`RequestLeafSet(NodeHandle sender, InputBuffer buf)`
`RequestLeafSet(NodeHandle nh, long timeStamp)` Constructor.

Method Summary
`long` | `getTimeStamp()`
`short` | `getType()` Raw Serialization
`NodeHandle` | `returnHandle()` The return handle for the message
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

Constructor Detail

### RequestLeafSet

    public RequestLeafSet(NodeHandle nh,
                          long timeStamp)

  Constructor.

  Parameters:
    `nh` - the return handle.

### RequestLeafSet

    public RequestLeafSet(java.util.Date stamp,
                          NodeHandle nh,
                          long timeStamp)

  Constructor.

  Parameters:
    `stamp` - the timestamp
    `nh` - the return handle

### RequestLeafSet

    public RequestLeafSet(NodeHandle sender,
                          InputBuffer buf)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### returnHandle

    public NodeHandle returnHandle()

  The return handle for the message

  Returns:
    the node handle

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public short getType()

  Raw Serialization

  Specified by:
    `getType` in interface `RawMessage`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawSerializable`
  Throws:
    `java.io.IOException`

### getTimeStamp

    public long getTimeStamp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.